REFORM-MCU-TOOL(8)

NAME
reform-mcu-tool - manage microcontrollers

DESCRIPTION
usage: reform-mcu-tool [-h] {bootsel,reset,list} ...

Tool to interact with Microcontrollers used by MNT Research in Reform projects.

It can currently talk to the pocket sysctl firmware, and to the RP2040 bootrom.

  positional arguments:

{bootsel,reset,list}
    Action to execute

bootsel
    Reboot MCU into BOOTSEL mode

reset
    Reboot MCU into application mode

list
    List USB devices matching known VID/PIDs

  options:

-h, --help
    show this help message and exit

Example usage:

To reboot the pocket sysctl into the bootrom:

    $ sudo reform-mcu-tool bootsel pocket-sysctl-1.0

To reset the RP2040 bootrom back into the application:

    $ sudo reform-mcu-tool reset rp2040-boot